summaryrefslogtreecommitdiffstats
path: root/hosts/codethink-sled11-arm64/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2016-12-22 20:25:34 +0100
committerHolger Levsen <holger@layer-acht.org>2016-12-22 20:25:34 +0100
commit683f48302fa6188dcb49bbbcdfeac83ecef9a43c (patch)
treed123c24a4e0b4a2b83bd44a2ada04d73b07ebdd9 /hosts/codethink-sled11-arm64/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir
parent67699e0c7e3923bf05c5823fa33bc6088f59938c (diff)
downloadjenkins.debian.net-683f48302fa6188dcb49bbbcdfeac83ecef9a43c.tar.xz
reproducible Debian: add arm64 to tested architectures, thanks to codethink.co.uk providing us with 8 moonshot arm64 sleds
Signed-off-by: Holger Levsen <holger@layer-acht.org>
Diffstat (limited to 'hosts/codethink-sled11-arm64/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir')
-rwxr-xr-xhosts/codethink-sled11-arm64/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir18
1 files changed, 18 insertions, 0 deletions
diff --git a/hosts/codethink-sled11-arm64/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir b/hosts/codethink-sled11-arm64/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir
new file mode 100755
index 00000000..9225116b
--- /dev/null
+++ b/hosts/codethink-sled11-arm64/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir
@@ -0,0 +1,18 @@
+#!/bin/bash
+
+set -e
+
+# exit if we are in the same UTS namespace as init ( != 2nd build )
+[ "$(readlink /proc/1/ns/uts)" = "$(readlink /proc/self/ns/uts)" ] && exit 0
+
+cd $BUILDDIR
+
+if [ "$PWD" == "/build" ]; then
+ # build path variation disabled, so do nothing
+ exit 0
+fi
+
+# There should be only one file, the source directory.
+src_dir=$(ls | head -n 1)
+
+mv $src_dir 2nd